DtWsmAddWorkspace(API)

NAME
DtWsmAddWorkspace — add a workspace

SYNOPSIS

#include &<Dt/Wsm.h>
int DtWsmAddWorkspace(
Widget widget,
char *title);

DESCRIPTION

The DtWsmAddWorkspace() function works with the CDE workspace manager, dtwm(1), and adds a new workspace. Applications can use this function to implement an interface to the workspace manager.

If the DtWsmAddWorkspace() function is not successful, the most likely reason for failure is that the CDE workspace manager, dtwm(1), is not running.

DtWsmAddWorkspace() sends a message to the CDE workspace manager, dtwm(1), to add the workspace.

ARGUMENTS

widget
    a realized widget

title
    a user visible title for the new workspace

RETURN VALUE

The function returns Success (0) when it succeeds, and non-zero upon failure.

SEE ALSO

DtWsm(5)

"Communicating with the Workspace Manager" section in the CDE Programmer's Guide

"Workspace Manager" section in the CDE Programmer's Overview